package com.pearson.common.struts;

/* EmsROConstants	Created: Dec 18, 2003	12:05:43 PM
 * Revision: $Revision  Date: $Date
 *
 * Copyright (c) 2003 Pearson Educational Measurement
 * Iowa City, IA 52245-9555 U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information of Pearson
 * Educational Measurement. You shall not disclose such Confidential Information
 * and shall use it only in accordance with the terms of the license agreement
 * you entered into with Pearson Educational Measurement.
 *
 * Author: Brad Lane(brad.lane@pearson.com)
 */

public interface EmsROConstants
{
   //The javascript to handle rollovers
   public static final String SCRIPT_START = "\n<SCRIPT LANGUAGE='JavaScript'>\n<!--\n";
   public static final String PRELOAD_IMG_SCRIPT = "\nfunction MM_preloadImages() { //v3.0\n" +
                                                    "  var d=document; if(d.images){ if(!d.MM_p) d.MM_p=new Array();\n" +
                                                    "    var i,j=d.MM_p.length,a=MM_preloadImages.arguments; for(i=0; i<a.length; i++)\n" +
                                                    "    if (a[i].indexOf(\"#\")!=0){ d.MM_p[j]=new Image; d.MM_p[j++].src=a[i];}}\n" +
                                                    "}";
   public static final String RESTORE_SCRIPT = "\nfunction MM_swapImgRestore() { //v3.0\n" +
                                                "  var i,x,a=document.MM_sr;\n" +
                                                "  for(i=0;a&&i<a.length&&(x=a[i])&&x.oSrc;i++)x.src=x.oSrc;\n" +
                                                "}";
   public static final String SWAP_SCRIPT = "\nfunction MM_swapImage() { //v3.0\n" +
                                             "  var i,j=0,x,a=MM_swapImage.arguments; document.MM_sr=new Array; for(i=0;i<(a.length-2);i+=3)\n" +
                                             "   if ((x=MM_findObj(a[i]))!=null){document.MM_sr[j++]=x; if(!x.oSrc) x.oSrc=x.src; x.src=a[i+2];}\n" +
                                             "}";
   public static final String FINDOBJ_SCRIPT = "\nfunction MM_findObj(n, d) { //v4.01\n" +
                                                "  var p,i,x;  if(!d) d=document; if((p=n.indexOf(\"?\"))>0&&parent.frames.length) {\n" +
                                                "    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}\n" +
                                                "  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];\n" +
                                                "  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);\n" +
                                                "  if(!x && d.getElementById) x=d.getElementById(n); return x;\n" +
                                                "}";
   public static final String SCRIPT_STOP = "\n//-->\n</SCRIPT>\n";
   public static final String ALL_SCRIPTS = SCRIPT_START + FINDOBJ_SCRIPT +
                                             PRELOAD_IMG_SCRIPT +
                                             RESTORE_SCRIPT +
                                             SWAP_SCRIPT +
                                             SCRIPT_STOP;
   public static final String WRITE_SCRIPT_FLAG = "ScriptWriteFlag";
   public static final String FLAG_VAL = "T";
}
